Bug 1299182 - [GSS] Document *.cli deployment deploy.scr / undeploy.scr [NEEDINFO]
[GSS] Document *.cli deployment deploy.scr / undeploy.scr
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: eap-docs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 22:54 EST by Brad Maxwell
Modified: 2018-03-06 15:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dmichael: needinfo? (bmaxwell)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-5080 Major New Document CLI deployment archive usage (CLI guide) 2018-01-31 00:12 EST
Red Hat Knowledge Base (Solution) 1141553 None None None 2016-01-16 22:54 EST

  None (edit)
Description Brad Maxwell 2016-01-16 22:54:23 EST
Description of problem:

There is a feature where a cli deployment can be deployed via the CLI which can include deploy.scr and undeploy.scr which can contain CLI commands to run during deployment.

From what I've seen it must be deployed through the CLI, copying into the deployments directory does not work.

test.cli
 - deploy.scr
 - undeploy.scr
 - servlet-annotations.war

deploy.scr
--------------------
/system-property=test:add(value=success)
deploy servlet-annotations.war

Deploying such as this, shows that the system property gets set and the servlet-annotations.war when deployed will read the system property showing that test=success

jboss-cli.sh -c
deploy test.cli

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Note You need to log in before you can comment on or make changes to this bug.